@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\jposee-core-2.0.0-SNAPSHOT.jar;"%REPO%"\commons-lang-2.6.jar;"%REPO%"\commons-beanutils-1.8.3.jar;"%REPO%"\commons-logging-1.1.1.jar;"%REPO%"\slf4j-log4j12-1.6.1.jar;"%REPO%"\slf4j-api-1.6.1.jar;"%REPO%"\log4j-1.2.16.jar;"%REPO%"\joda-time-1.6.jar;"%REPO%"\hibernate-core-3.6.6.Final.jar;"%REPO%"\antlr-2.7.6.jar;"%REPO%"\commons-collections-3.1.jar;"%REPO%"\dom4j-1.6.1.jar;"%REPO%"\hibernate-commons-annotations-3.2.0.Final.jar;"%REPO%"\hibernate-jpa-2.0-api-1.0.1.Final.jar;"%REPO%"\jta-1.1.jar;"%REPO%"\javassist-3.12.1.GA.jar;"%REPO%"\hibernate-c3p0-3.6.6.Final.jar;"%REPO%"\c3p0-0.9.1.jar;"%REPO%"\hibernate-ehcache-3.6.6.Final.jar;"%REPO%"\ehcache-core-2.4.3.jar;"%REPO%"\jpos-1.8.5-SNAPSHOT.jar;"%REPO%"\jdom-1.1.3.jar;"%REPO%"\jdbm-1.0.jar;"%REPO%"\je-4.1.10.jar;"%REPO%"\commons-cli-1.2.jar;"%REPO%"\jline-1.0.jar;"%REPO%"\bsh-2.0b5.jar;"%REPO%"\javatuples-1.2.jar;"%REPO%"\jposee-txn-2.0.0-SNAPSHOT.jar;"%REPO%"\jposee-server-simulator-2.0.0-SNAPSHOT.jar;"%REPO%"\jposee-client-simulator-2.0.0-SNAPSHOT.jar;"%REPO%"\jposee-testbed-2.0.0-SNAPSHOT.jar
set EXTRA_JVM_ARGUMENTS=
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="q2" -Dapp.repo="%REPO%" -Dbasedir="%BASEDIR%" org.jpos.q2.Q2 %CMD_LINE_ARGS%
if ERRORLEVEL 1 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
